### Method

# Pango GlyphItemIterinit_start

since: 1.22

#### Declaration [src]

    gboolean
    pango_glyph_item_iter_init_start (
      PangoGlyphItemIter* iter,
      PangoGlyphItem* glyph_item,
      const char* text
    )

#### Description [src]

Initializes a `PangoGlyphItemIter` structure to point to the first cluster in a glyph item.

See `PangoGlyphItemIter` for details of cluster orders.

Available since: 1.22

#### Parameters

`glyph_item`

  Type: `PangoGlyphItem`

  The glyph item to iterate over.

  The data is owned by the caller of the method.

`text`

  Type: `const char*`

  Text corresponding to the glyph item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`FALSE` if there are no clusters in the glyph item.